Автор Тема: Проблема с установкой плагинов  (Прочитано 2155 раз)

nikstorm

  • Newbie
  • *
  • Сообщений: 9
Проблема с установкой плагинов
« : Января 22, 2015, 04:12:45 »
Пытаюсь поставить Package Conrtol и получаю вот такую парашу:
DPI scale: 1
startup, version: 3065 windows x32 channel: stable
executable: /C/Program Files/Sublime Text 3/sublime_text.exe
working dir: /C/Program Files/Sublime Text 3
packages path: /C/Documents and Settings/Alpha_/Application Data/Sublime Text 3/Packages
state path: /C/Documents and Settings/Alpha_/Application Data/Sublime Text 3/Local
hardware concurrency: 2
zip path: /C/Program Files/Sublime Text 3/Packages
zip path: /C/Documents and Settings/Alpha_/Application Data/Sublime Text 3/Installed Packages
found 3 files for base name Default.sublime-keymap
found 1 files for base name Default.sublime-mousemap
found 1 files for base name Main.sublime-menu
loading bindings
loading pointer bindings
found 1 files for base name Default.sublime-theme
theme loaded
app ready
wrote startup cache, added files: 0 orphaned files: 4 total files: 165 cache hits: 165
pre session restore time: 1.09338
startup time: 1.34338
first paint time: 1.34338
launching: /C/Program Files/Sublime Text 3/plugin_host.exe
loaded 837 snippets
reloading plugin Default.block
reloading plugin Default.comment
reloading plugin Default.copy_path
reloading plugin Default.delete_word
reloading plugin Default.detect_indentation
reloading plugin Default.duplicate_line
reloading plugin Default.echo
reloading plugin Default.exec
reloading plugin Default.fold
reloading plugin Default.font
reloading plugin Default.goto_line
reloading plugin Default.history_list
reloading plugin Default.indentation
reloading plugin Default.kill_ring
reloading plugin Default.mark
reloading plugin Default.new_templates
reloading plugin Default.open_file_settings
reloading plugin Default.open_in_browser
reloading plugin Default.pane
reloading plugin Default.paragraph
reloading plugin Default.paste_from_history
reloading plugin Default.save_on_focus_lost
reloading plugin Default.scroll
reloading plugin Default.set_unsaved_view_name
reloading plugin Default.side_bar
reloading plugin Default.sort
reloading plugin Default.swap_line
reloading plugin Default.switch_file
reloading plugin Default.symbol
reloading plugin Default.transform
reloading plugin Default.transpose
reloading plugin Default.trim_trailing_white_space
reloading plugin CSS.css_completions
reloading plugin Diff.diff
reloading plugin HTML.encode_html_entities
reloading plugin HTML.html_completions
plugins loaded
>>> import urllib.request,os,hashlib; h = '2deb499853c4371624f5a07e27c334aa' + 'bf8c4e67d14fb0525ba4f89698a6d7e1'; pf = 'Package Control.sublime-package'; ipp = sublime.installed_packages_path(); urllib.request.install_opener( urllib.request.build_opener( urllib.request.ProxyHandler()) ); by = urllib.request.urlopen( 'http://packagecontrol.io/' + pf.replace(' ', '%20')).read(); dh = hashlib.sha256(by).hexdigest(); print('Error validating download (got %s instead of %s), please try manual install' % (dh, h)) if dh != h else open(os.path.join( ipp, pf), 'wb' ).write(by)
170998
reloading plugin Package Control.bootstrap
reloading plugin Package Control.Package Control
reloading Packages/Package Control/Package Control.sublime-settings
found 2 files for base name Main.sublime-menu
reloading Packages/User/Package Control.sublime-settings
reloading plugin 0_package_control_loader.00-package_control
Package Control: Installing 1 missing dependencies
Package Control: Attempting to use Urllib downloader due to WinINet error: Error downloading package. Secure channel error, server not providing SSL (errno 12157) during HTTP write phase of downloading https://codeload.github.com/codexns/sublime-bz2/zip/1.0.0.
Exception in thread Thread-2:
Traceback (most recent call last):
  File "package_control.download_manager in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 264, in fetch
  File "package_control.downloaders.wininet_downloader in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 377, in download
Package Control.package_control.downloaders.win_downloader_exception.WinDownloaderException: Error downloading package. Secure channel error, server not providing SSL (errno 12157) during HTTP write phase of downloading https://codeload.github.com/codexns/sublime-bz2/zip/1.0.0.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./threading.py", line 901, in _bootstrap_inner
  File "package_control.automatic_upgrader in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 111, in run
  File "package_control.automatic_upgrader in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 162, in install_missing
  File "package_control.package_manager in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 756, in install_package
  File "package_control.download_manager in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 308, in fetch
  File "package_control.download_manager in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 264, in fetch
  File "package_control.downloaders.urllib_downloader in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 102, in download
  File "package_control.downloaders.urllib_downloader in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 275, in setup_opener
  File "package_control.ca_certs in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 50, in get_ca_bundle_path
  File "package_control.ca_certs in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 139, in get_system_ca_bundle_path
  File "package_control.ca_certs in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 394, in _win_create_ca_bundle
  File "package_control.http.x509 in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 472, in parse
  File "package_control.http.x509 in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 452, in load
  File "package_control.http.x509 in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 452, in load
  File "package_control.http.x509 in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 447, in load
  File "package_control.http.x509 in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 95, in read
  File "package_control.http.x509 in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 174, in _read_value
  File "package_control.http.x509 in C:\Documents and Settings\Alpha_\Application Data\Sublime Text 3\Installed Packages\Package Control.sublime-package", line 245, in _decode_integer
TypeError: 'bytes' object does not support item assignment


Плагины не ставятся, консоль пишет, что все 'succesful installed' но в preferences новых плагинов нет. 
Проблема появилась после смены винта.